# Get Served Model Build Logs

`GET /api/2.0/serving-endpoints/{name}/served-models/{served_model_name}/build-logs`

Retrieves the build logs associated with the provided served model.

API scopes: model-serving

## Path parameters

- `name` (string, optional)
  The name of the serving endpoint that the served model belongs to. This field is required.
  Constraints: `[ 1 .. 63 ] characters`
- `served_model_name` (string, optional)
  The name of the served model that build logs will be retrieved for. This field is required.
  Constraints: `[ 1 .. 63 ] characters`

## Returns

- `logs` (string, optional)
  The logs associated with building the served entity's environment.

## Response

```json
{
  "logs": "- conda-forge\ndependencies:\n- python=3.9.5\n- pip\u003c=21.2.4\n- pip:\n- mlflow\n- cloudpickle==2.2.0\nname: mlflow-env\nCollecting package metadata (repodata.json): ...working... done\nSolving environment: ...working... done\nPreparing transaction: ...working... done\nVerifying transaction: ...working... done\nExecuting transaction: ...working... done\nInstalling pip dependencies: ...working... done\n"
}
```

